#include <iostream>
#include <vector>
#include <set>
using namespace std;

int main() {
	cin.tie(0); cout.tie(0);
	ios::sync_with_stdio(false);
	int n;
	cin >> n;
	vector<pair<int, int>> tacke(n);
	set<int> x;
	set<int> y;
	int s = 0;
	for (int i = 1; i <= n; i++) {
		int xx, yy;
		cin >> xx >> yy;
		tacke[i-1] = { xx,yy };
		x.insert(tacke[i - 1].first);
		y.insert(tacke[i - 1].second);
		for(int xa : x)
			for(int ya : y) {
				long long st = 0;
				for (int k = 0; k < i; k++) {
					int xi = tacke[k].first;
					int yi = tacke[k].second;
					st += abs(xi - xa) * abs(yi - ya);
					st %= 1000000007;
				}
				s = (st>s?st:s);
			}
		cout << s << "\n";
	}
}